
QGIS Application - Bug report #3766

(windows): on trunk/osgeo4w adding a GRASS raster causes qgis to crash

2011-04-21 08:56 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Redmine Admin

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 13825

Description

the raster is eventually added to the project

Associated revisions

Revision 30579609 - 2011-04-21 07:36 PM - Jürgen Fischer

fix #3766

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15798 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 90e2ba80 - 2011-04-21 07:36 PM - Jürgen Fischer

fix #3766

git-svn-id: http://svn.osgeo.org/qgis/trunk@15798 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2011-04-21 10:36 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to fixed

fixed in commit:90e2ba80 (SVN r15799).

#2 - 2011-05-01 02:36 AM - Giovanni Manghi

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

testing  (package 128). Now when adding a raster map the following warning shows 3 times and then qgis crashes

Cannot get projection 

Cannot run module
command: C:/OSGeo4W/apps/qgis-dev/./grass/modules/qgis.g.info info=proj<br><br>ERROR: Incompatible library version for module. You need

to rebuild GRASS

       or untangle multiple installations.

#3 - 2011-05-01 04:04 AM - Jürgen Fischer

- Resolution set to invalid

- Status changed from Feedback to Closed

not a qgis problem.

#4 - 2011-05-01 04:59 AM - Giovanni Manghi

Replying to [comment:3 jef]:

not a qgis problem.

how so?

#5 - 2011-05-01 07:55 AM - Jürgen Fischer

as said on #qgis: it's a packaging problem - and totally run related to this ticket.

#6 - 2011-05-01 07:55 AM - Jürgen Fischer

s/run related/unrelated/

#7 - 2011-05-01 08:53 AM - Giovanni Manghi

Replying to [comment:5 jef]:

as said on #qgis: it's a packaging problem - and totally run related to this ticket.

Hi, sorry I missed the irc comment has I'm having connection problems.

Just one more doubt before opening a ticket on the osgeo4w trac: there are no warning messages on qgis 1.6 (1.6.0-7) nor crashes adding GRASS

rasters. Still a GRASS packaging issue?

#8 - 2011-05-01 10:04 AM - Jürgen Fischer

Replying to [comment:7 lutra]:

Just one more doubt before opening a ticket on the osgeo4w trac: there are no warning messages
on qgis 1.6 (1.6.0-7) nor crashes adding GRASS rasters. Still a GRASS packaging issue?

I didn't say it was.  It's a QGIS packaging issue.

#9 - 2011-05-01 10:07 AM - Giovanni Manghi

Replying to [comment:9 jef]:

It's a QGIS packaging issue.

uff... sorry again. Today it seems I can't catch a break.
